[arch-commits] Commit in pm-utils/trunk (3 files)

Jan de Groot jgc at archlinux.org
Wed Jun 23 04:36:02 EDT 2010


    Date: Wednesday, June 23, 2010 @ 04:36:02
  Author: jgc
Revision: 83839

upgpkg: pm-utils 1.4.0-1
Update to 1.4.0

Modified:
  pm-utils/trunk/PKGBUILD
Deleted:
  pm-utils/trunk/daemons.patch
  pm-utils/trunk/on_ac_power-upower.patch

--------------------------+
 PKGBUILD                 |   31 +++++----------
 daemons.patch            |   20 ----------
 on_ac_power-upower.patch |   89 ---------------------------------------------
 3 files changed, 10 insertions(+), 130 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-23 08:26:32 UTC (rev 83838)
+++ PKGBUILD	2010-06-23 08:36:02 UTC (rev 83839)
@@ -4,8 +4,8 @@
 # Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=pm-utils
-pkgver=1.3.0
-pkgrel=2
+pkgver=1.4.0
+pkgrel=1
 pkgdesc="Utilities and scripts for suspend and hibernate power management"
 arch=('i686' 'x86_64')
 url="http://pm-utils.freedesktop.org"
@@ -14,29 +14,18 @@
 optdepends=('upower')
 makedepends=('xmlto' 'docbook-xml' 'docbook-xsl')
 source=(http://pm-utils.freedesktop.org/releases/${pkgname}-${pkgver}.tar.gz
-        on_ac_power-upower.patch
-        11netcfg
-       	daemons.patch)
-md5sums=('37d71f8adbb409442212a85a080d324d'
-         '676855c54039a3b2c3171e69ccee2113'
-         '9839687c8787d99fd4ff36aa3238c27b'
-         '7be3f7460569d5a382474abd7f7b53fb')
+        11netcfg)
+md5sums=('132005cf1d33e33802eb78121a6ceb22'
+         '9839687c8787d99fd4ff36aa3238c27b')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-
-  # make sure Arch Linux daemons are properly handled
-  patch -Np1 -i "${srcdir}/daemons.patch" || return 1
-
-  # Support upower for on_ac_power
-  patch -Np1 -i "${srcdir}/on_ac_power-upower.patch" || return 1
-
   ./configure --prefix=/usr \
-              --sysconfdir=/etc \
-              --localstatedir=/var || return 1
-  make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
+      --sysconfdir=/etc \
+      --localstatedir=/var
+  make
+  make DESTDIR="${pkgdir}" install
 
   # install additional hooks
-  install -m755 "${srcdir}/11netcfg" "${pkgdir}/usr/lib/pm-utils/sleep.d/" || return 1
+  install -m755 "${srcdir}/11netcfg" "${pkgdir}/usr/lib/pm-utils/sleep.d/"
 }

Deleted: daemons.patch
===================================================================
--- daemons.patch	2010-06-23 08:26:32 UTC (rev 83838)
+++ daemons.patch	2010-06-23 08:36:02 UTC (rev 83839)
@@ -1,20 +0,0 @@
---- a/pm/functions.in	2009-11-07 21:51:04.000000000 -0800
-+++ b/pm/functions.in	2009-12-01 17:30:59.000000000 -0800
-@@ -141,7 +141,7 @@
- if ! command_exists service; then
- 	service()
- 	{
--	    for svc in "/etc/init.d/$1" "/etc/rc.d/rc.$1"; do #lsb, then slack
-+	    for svc in "/etc/init.d/$1" "/etc/rc.d/$1"; do #lsb, then slack
- 		[ -x "$svc" ] && { shift; "$svc" "$@"; return $?; }
-             done
-             # this only happens if we did not find the service
-@@ -153,7 +153,7 @@
- 
- stopservice()
- {
--	if service "$1" status 2>/dev/null | grep -q -e running -e started
-+	if [[ -e "/var/run/daemons/$1" ]] || service "$1" status 2>/dev/null | grep -q -e running -e started
- 	then
- 		touch "${STORAGEDIR}/service:$1"
- 		service "$1" stop

Deleted: on_ac_power-upower.patch
===================================================================
--- on_ac_power-upower.patch	2010-06-23 08:26:32 UTC (rev 83838)
+++ on_ac_power-upower.patch	2010-06-23 08:36:02 UTC (rev 83839)
@@ -1,89 +0,0 @@
-From e8d0b58a9df080f021d04b4c2d358003974092f3 Mon Sep 17 00:00:00 2001
-From: Michal Schmidt <mschmidt at redhat.com>
-Date: Tue, 23 Feb 2010 13:57:05 +0000
-Subject: on_ac_power: support UPower (new name for DeviceKit-power)
-
-DeviceKit-power got renamed to UPower and its D-Bus interface changed
-accordingly.
-
-Try UPower first in on_ac_power.
-If it fails, try DeviceKit-power.
-It if fails too, try hal.
-
-Also update documentation.
-
-Signed-off-by: Michael Biebl <mbiebl at gmail.com>
----
-diff --git a/man/pm-action.xml b/man/pm-action.xml
-index ccb4153..6e9f639 100644
---- a/man/pm-action.xml
-+++ b/man/pm-action.xml
-@@ -104,7 +104,7 @@
-       For some options external programs are needed.
-     </para>
-     <para>
--      These commands will usually be called by <command>DeviceKit-power</command>
-+      These commands will usually be called by <command>UPower</command>
-       or <command>hald</command> when triggered to do so by a program
-       in a desktop session such as <command>gnome-power-manager</command>. 
-       Calling them from the command line is also possible, but it is not 
-diff --git a/man/pm-is-supported.xml b/man/pm-is-supported.xml
-index 88bb9fd..d07c87d 100644
---- a/man/pm-is-supported.xml
-+++ b/man/pm-is-supported.xml
-@@ -89,7 +89,7 @@
-     <para>
-       The intended purpose of <command>&dhpackage;</command> is to
-       find out which power management modes are supported by the 
--      system. hald(8) will call it to do just that. (Note that DeviceKit-power
-+      system. hald(8) will call it to do just that. (Note that UPower
-       does not use this.)
-     </para>
-   </refsect1>
-@@ -161,10 +161,6 @@
-     <!-- In alpabetical order. -->
-     <para>
-       <citerefentry>
--	<refentrytitle>DeviceKit-power</refentrytitle>
--	<manvolnum>7</manvolnum>
--      </citerefentry>,
--      <citerefentry>
- 	<refentrytitle>hald</refentrytitle>
- 	<manvolnum>8</manvolnum>
-       </citerefentry>,
-@@ -175,6 +171,10 @@
-       <citerefentry>
- 	<refentrytitle>s2both</refentrytitle>
- 	<manvolnum>8</manvolnum>
-+      </citerefentry>,
-+      <citerefentry>
-+	<refentrytitle>UPower</refentrytitle>
-+	<manvolnum>7</manvolnum>
-       </citerefentry>
-     </para>
-   </refsect1>
-diff --git a/src/on_ac_power b/src/on_ac_power
-index fdbcb36..1f9c59e 100755
---- a/src/on_ac_power
-+++ b/src/on_ac_power
-@@ -30,7 +30,17 @@
- # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- #
- 
--# prefer DeviceKit-power if available
-+# prefer UPower if available
-+if s="$(dbus-send --system --print-reply \
-+    --dest=org.freedesktop.UPower \
-+    /org/freedesktop/UPower \
-+    org.freedesktop.DBus.Properties.Get \
-+    string:org.freedesktop.UPower string:OnBattery)"; then
-+    echo "$s" | grep -q 'boolean false'
-+    exit $?
-+fi
-+
-+# try its old name 'DeviceKit-power' too
- if s="$(dbus-send --system --print-reply \
-     --dest=org.freedesktop.DeviceKit.Power \
-     /org/freedesktop/DeviceKit/Power \
---
-cgit v0.8.3-6-g21f6



More information about the arch-commits mailing list